<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Create Addon</title>
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>

<body style="background-color: #111111">
<div class="container">
    <div class="row">
        <div class="col-lg-10 col-xl-9 mx-auto">
            <div class="card card-signin flex-row my-5">
                <div class="card-body">
                    <h5 class="card-title text-center">Create Addon</h5>
                    <p>
                        <i th:if="${error != null}" th:text="${error}" style="color: red"></i>
                    </p>
                    <form class="form-signin" action="#" th:action="@{/addon/create}" th:object="${addonDTO}"
                          method="post" enctype="multipart/form-data">
                        <div class="form-label-group">
                            <label for="name"></label>
                            <input type="text" th:field="*{name}" id="name" class="form-control" placeholder="Name"
                                   required>
                        </div>
                        <div class="form-label-group">
                            <label for="inputUserame"></label>
                            <input type="text" th:field="*{description}" id="inputUserame" class="form-control"
                                   placeholder="Description" required autofocus>
                        </div>
                        <div class="form-label-group">
                            <label for="inputEmail"></label>
                            <input type="text" th:field="*{originLink}" id="inputEmail" class="form-control"
                                   placeholder="Origin link" required>
                        </div>
                        <br>
                        <div>
                            <label>
                                <select th:field="*{IDE}">IDE>
                                    <option th:each="ide : ${ides}"
                                            th:value="${ide.IDEName}"
                                            th:text="${ide.IDEName}">
                                    </option>
                                </select>
                            </label>
                        </div>
                        <div>
                            <label for="binaryfile file-upload">
                                <i> Upload file </i>
                            </label>
                            <input id="binaryfile file-upload" name="binaryfile" type="file">
                        </div>
                        <br/>
                        <button class="btn btn-lg btn-primary btn-block text-uppercase" type="submit" value="Sign-up">Create
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>